/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

module.exports = {
  'A general introduction to the application':
    'A general introduction to the app',
  'Activate Successfully': 'Activated Successfully',
  'Add Version': 'Add Version',
  'Adjust App Category': 'Adjust App Category',
  'New App Config': 'New App Configurations',
  'App Deploy': 'App Deploy',
  'App Introduction': 'App Introduction',
  'App Name': 'App Name',
  APP_REVIEW: 'App Review',
  APP_REVIEWS: 'App Reviews',
  'App Version': 'App Version',
  'App Version Types': 'App Version Types',
  'Application Name': 'App Name',
  'Application Version': 'App Version',
  'App Management': 'App Management',
  'Base Info': 'Basic Information',
  'Business introduction': 'Business introduction',
  'Cancel Successfully': 'Cancelled Successfully',
  'Category Name': 'Category Name',
  'Company website': 'Company website',
  'Create Time': 'Create Time',
  'Delete all': 'Delete all',
  'Delete picture': 'Delete picture',
  'Deploy after login': 'Deploy after login',
  'Deploy now': 'Deploy now',
  'Detail Introduction': 'Detail Introduction',
  Discoveries: 'Discoveries',
  'Edit App Information': 'Edit App Information',
  'Evaluation stars': 'Evaluation stars',
  File: 'File',
  'Format png/svg background transparency is the best':
    'Format png/svg background transparency is the best',
  Handle: 'Handle',
  Icon: 'Icon',
  'In Project': 'In Project',
  INDEX_SUCCESS_TIP: 'Indexed successfully.',
  'Instance Name': 'Instance Name',
  Introduction: 'Introduction',
  'New Version': 'New Version',
  Note: 'Note',
  Operator: 'Operator',
  'Package problems': 'Package problems',
  'Please select a cluster': 'Please select a cluster',
  'Please select a project': 'Please select a project',
  'Please select a project to deploy': 'Please select a project to deploy',
  'Please select a project role': 'Please select a project role',
  'Please select a DevOps project': 'Please select a DevOps project',
  'Please select a DevOps project role': 'Please select a DevOps project role',
  'Please select icon': 'Please select icon',
  REVIEWED: 'Reviewed',
  'Re-upload': 'Re-upload',
  'Recover Successfully': 'Recover Successfully',
  'Reject Reason': 'Reject Reason',
  'Release / Suspended Time': 'Released / Suspended',
  'Release Successfully': 'Release Successfully',
  REVIEW_CONTENT: 'Review Content',
  'Review Object': 'Review Object',
  'Review Status': 'Review Status',
  Screenshot: 'Screenshot',
  screenshots: 'screenshots',
  'Select file': 'Select file',
  'Select File': 'Select File',
  'Service Provider': 'Service Provider',
  'Service Provider Website': 'Service Provider Website',
  'Start Create': 'Start Creating',
  'Start editing': 'Start editing',
  'Submit Successfully': 'Submitted successfully.',
  Submitter: 'Submitter',
  'Suspend Successfully': 'Suspended Successfully',
  'Terms of service': 'Terms of service',
  'Test Deployment': 'Test Deployment',
  'Time of entry': 'Time of entry',
  Uncategorized: 'Uncategorized',
  UNREVIEWED: 'Unreviewed',
  'Update Log': 'Update Log',
  'Upload again': 'Upload again',
  'Upload Icon': 'Upload Icon',
  'Upload Screenshots': 'Upload Screenshots',
  'Version No': 'Version No',
  'Very helpful when users search for apps':
    'Very helpful when users search for apps',

  FILE_UPLOAD_MAX: 'The file size cannot exceed 2M.',

  APP_TEMPLATE_CREATE_DESC:
    'KubeSphere provides full lifecycle management for apps. You can upload or create new app templates and test them quickly. In addition, you can publish your apps to the App Store so that other users can deploy with one click.',
  APP_TEMPLATES_DESC:
    'KubeSphere provides full lifecycle management for apps. You can upload or create new app templates and test them quickly. In addition, you can publish your apps to the App Store so that other users can deploy with one click.',

  HOW_APP_DEPLOY_TITLE: 'How to deploy and test applications',

  APPS_CREATE_DESC:
    'KubeSphere provides lifecycle management of app templates. You can upload or create new app templates and test them quickly. In addition, you can publish your app templates to the App Store so that other users can deploy them.',

  APP_DETAIL_DESC: 'Very helpful when searching applications',

  APP_REVIEWS_CREATE_DESC:
    'Certify service providers and review applications in order to approve or reject the applications to show or not in the store.',

  DELETE_CATEGORY_WARNING:
    'This category binds <strong>{total}</strong> applications. Please' +
    ' choose to adjust these applications to other categories before deleting them',

  RESOURCE_TOOL_TITLE: 'Created through Resource Choreographer',
  RESOURCE_TOOL_DESCRIPTION:
    'KubeSphere provides a visual resource orchestration tool that allows you to' +
    ' create application templates and deploy tests through resource pre-editing',

  HELM_DEVELOP_GUIDE: ' Helm Specifications.',

  APP_CATE_All: 'All',
  APP_CATE_UNCATEGORIZED: 'Uncategorized',

  ICON_DESC: 'Please select an icon to identify the classification',

  MODIFY_VERSION_TIPS:
    'Every modification will follow the next release and take effect.',

  UNDER_REVIEW_TIPS:
    'The current version of the application is under review,' +
    ' and the following information is temporarily unalterable',

  AUDIT_RECORD_CREATE_DESC: 'No relevant review record',

  UPLOAD_SUPPORT_FORMAT: 'Supported formats: tar.gz and tgz.',

  FILE_FORMAT_PACKAGE: 'Supported formats: tar.gz and tgz.',
  FILE_FORMAT_ICON: 'Icon format supports png and svb',
  FILE_FORMAT_SCREENSHOTS: 'Screen format supports png and jpg',
  FILE_MAX_PACKAGE: 'Configuration package size should not exceed 2M',
  FILE_MAX_ICON: 'Icon size should not exceed 20KB',

  REVIEWS_CREATE_DESC: 'There is no relevant application review data',

  NO_DEPLOY_RUNTIME_NOTE: 'The project has no available deploy runtime',

  UNPROCESSED_APP_RELEASE: 'Unreleased App',
  PROCESSED_APP_RELEASE: 'Released App',
  ALL_APP_RELEASE: 'Release Record',

  'APP_CATE_MESSAGE QUEUEING': 'Message Queuing',
  'APP_CATE_IMAGE REGISTRY': 'Image Registry',
  'APP_CATE_PROMETHEUS EXPORTER': 'Prometheus Exporter',
  'APP_CATE_WEB SERVER': 'Web Server',
  APP_CATE_NETWORKING: 'Networking',
  'APP_CATE_DATABASE & CACHE': 'Database & Cache',
  APP_CATE_STORAGE: 'Storage',

  // App Review
  REVIEW: 'Review',
  PENDING_REVIEW: 'Pending',
  COMPLETE_REVIEW: 'Complete',
  SERVICE_PROVIDER: 'Service provider',

  // App Store
  CATEGORIES: 'Categories',
  UPDATE_TIME_COLON: 'Update time: ',
  DEVELOPER: 'Developer',

  // App Categories
  CREATE_CATEGORY: 'Create Category',

  // App Templates > Details

  // App Templates
  FILE: 'File',
  RECOVER_SUCCESSFUL: 'Recovered successfully.',
  AUDIT_EMPTY_DESC: 'No app review record is found.',
}
