/*
 * This file is part of KubeSphere Console.
 * Copyright (C) 2019 The KubeSphere Console Authors.
 *
 * KubeSphere Console is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * KubeSphere Console is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with KubeSphere Console.  If not, see <https://www.gnu.org/licenses/>.
 */

module.exports = {
  // Banner
  PLATFORM_ROLE_PL: 'Platform Roles',

  // List
  PLATFORM_ROLE_EMPTY_DESC: 'Please create a platform role.',
  ROLE_USERS_MANAGER: 'Manage all users on the KubeSphere platform.',
  ROLE_WORKSPACES_MANAGER: 'Manage all workspaces on the KubeSphere platform.',
  ROLE_PLATFORM_ADMIN: 'Manage all resources on the KubeSphere platform.',
  ROLE_PLATFORM_REGULAR:
    'Cannot access any resources before joining a workspace.',
  CREATION_TIME_TCAP: 'Creation Time',

  // List > Create
  CREATE_PLATFORM_ROLE: 'Create Platform Role',

  // List > Create > Edit Permissions > Cluster Management
  CLUSTERS_MANAGEMENT: 'Cluster Management',
  CLUSTERS_VIEW: 'Cluster Viewing',
  CLUSTERS_VIEW_DESC: 'View all clusters and cluster resources.',
  CLUSTERS_MANAGEMENT_DESC:
    'Create clusters, delete clusters, and manage resources in all clusters.',

  // List > Create > Edit Permissions > Access Control
  USERS_MANAGEMENT: 'User Management',
  USERS_VIEW: 'User Viewing',
  WORKSPACES_MANAGEMENT_DESC: 'Create, edit, delete, and view workspaces.',
  USERS_MANAGEMENT_DESC: 'Create, edit, and delete users.',
  ROLES_MANAGEMENT_DESC: 'Create, edit, and delete platform roles.',
  WORKSPACES_VIEW_DESC: 'View workspaces.',
  ROLES_VIEW_DESC: 'View platform roles.',
  USERS_VIEW_DESC: 'View users.',

  // List > Create > Edit Permissions > App Management
  APP_TEMPLATES_VIEW_DESC: 'View the platform App Store.',
  APP_TEMPLATES_MANAGEMENT_DESC:
    'Manage the platform App Store and life cycles of cloud-native applications.',

  // List > Create > Edit Permissions > Platform Settings
  PLATFORM_SETTINGS_MANAGEMENT: 'Platform Settings Management',
  PLATFORM_SETTINGS_MANAGEMENT_DESC:
    'View and edit settings of the KubeSphere platform.',

  // List > Edit Information
  // List > Edit Permissions
  // List > Delete
}
